> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Execute quote

POST https://www.okx.com/api/v5/rfq/execute-quote
Content-Type: application/json

Execute a quote received in response to an RFQ, creating a block trade against the selected maker quote.

Reference: https://okx-demo.ferndocs.com/api/api-reference/block-trading/execute-quote

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `rfqId` (string, required) — RFQ ID of the RFQ whose quote is being executed.
- `quoteId` (string, required) — Quote ID of the quote to execute.
- `legs` (list of ApiV5RfqExecuteQuotePostRequestBodyContentApplicationJsonSchemaLegsItems, optional) — Legs of the quote to execute, used for partial execution.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5RfqExecuteQuotePostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5RfqExecuteQuotePostRequestBodyContentApplicationJsonSchemaLegsItems

- `instId` (string, optional) — Instrument ID.
- `sz` (string, optional) — Size of the leg.
- `side` (enum, optional) — Side of the leg.
  - Allowed values: `buy`, `sell`
- `tgtCcy` (string, optional) — Quantity type for spot legs.

### ApiV5RfqExecuteQuotePostResponsesContentApplicationJsonSchemaDataItems

- `blockTdId` (string, optional) — Block trade ID.
- `rfqId` (string, optional) — RFQ ID.
- `clRfqId` (string, optional) — Client-supplied RFQ ID.
- `quoteId` (string, optional) — Quote ID.
- `clQuoteId` (string, optional) — Client-supplied quote ID.
- `tTraderCode` (string, optional) — Trader code of the taker.
- `mTraderCode` (string, optional) — Trader code of the maker.
- `cTime` (string, optional) — Creation time, Unix timestamp in milliseconds.
- `tag` (string, optional) — RFQ tag.
- `legs` (list of ApiV5RfqExecuteQuotePostResponsesContentApplicationJsonSchemaDataItemsLegsItems, optional) — Executed legs.

### ApiV5RfqExecuteQuotePostResponsesContentApplicationJsonSchemaDataItemsLegsItems

- `px` (string, optional) — Execution price of the leg.
- `sz` (string, optional) — Size of the leg.
- `instId` (string, optional) — Instrument ID.
- `side` (string, optional) — Side of the leg.
- `fee` (string, optional) — Fee for the leg. Negative means a rebate.
- `feeCcy` (string, optional) — Fee currency.
- `tradeId` (string, optional) — Last trade ID of the leg.

## Examples

**Request**

```json
{
  "rfqId": "22534",
  "quoteId": "84392"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "blockTdId": "180184",
      "rfqId": "1419",
      "clRfqId": "r0001",
      "quoteId": "1046",
      "clQuoteId": "q0001",
      "tTraderCode": "Trader1",
      "mTraderCode": "Trader2",
      "cTime": "1649670009",
      "tag": "123456",
      "legs": [
        {
          "px": "0.1",
          "sz": "25",
          "instId": "BTC-USD-20220114-13250-C",
          "side": "sell",
          "fee": "-1.001",
          "feeCcy": "BTC",
          "tradeId": "10211"
        },
        {
          "px": "0.2",
          "sz": "25",
          "instId": "BTC-USDT",
          "side": "buy",
          "fee": "-1.001",
          "feeCcy": "BTC",
          "tradeId": "10212"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python blockTrading_executeQuote_example
import requests

url = "https://www.okx.com/api/v5/rfq/execute-quote"

payload = {
    "rfqId": "22534",
    "quoteId": "84392"
}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript blockTrading_executeQuote_example
const url = 'https://www.okx.com/api/v5/rfq/execute-quote';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"rfqId":"22534","quoteId":"84392"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blockTrading_executeQuote_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/rfq/execute-quote"

	payload := strings.NewReader("{\n  \"rfqId\": \"22534\",\n  \"quoteId\": \"84392\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blockTrading_executeQuote_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/rfq/execute-quote")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"rfqId\": \"22534\",\n  \"quoteId\": \"84392\"\n}"

response = http.request(request)
puts response.read_body
```

```java blockTrading_executeQuote_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/rfq/execute-quote")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"rfqId\": \"22534\",\n  \"quoteId\": \"84392\"\n}")
  .asString();
```

```php blockTrading_executeQuote_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/rfq/execute-quote', [
  'body' => '{
  "rfqId": "22534",
  "quoteId": "84392"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp blockTrading_executeQuote_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/rfq/execute-quote");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"rfqId\": \"22534\",\n  \"quoteId\": \"84392\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift blockTrading_executeQuote_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "rfqId": "22534",
  "quoteId": "84392"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/rfq/execute-quote")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```